<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:custom="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#FFF">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent" >

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <Button
                android:id="@+id/StartRecording"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="启动录音" />


            <Button
                android:id="@+id/StopRecording"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/StartRecording"
                android:text="停止录音" />

            <Button
                android:id="@+id/PlayRecordedFile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/StopRecording"
                android:text="播放语音" />

            <Button
                android:id="@+id/PlayRecordedFileVoice"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/PlayRecordedFile"
                android:text="播放变声语音" />

            <!--<Button
            android:id="@+id/SpeechToText"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@+id/StartRecording"
            android:layout_marginTop="15dp"
            android:text="语音识文字" />-->


            <Button
                android:id="@+id/Room"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/textView1"
                android:layout_marginTop="2dp"
                android:text="开房" />

            <Button
                android:id="@+id/EnableMic"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/Room"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/IsRoomEntered"
                android:text="打开关闭麦克风" />

            <Button
                android:id="@+id/EnableSpeaker"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/Room"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/EnableMic"
                android:text="打开关闭扬声器" />

            <Button
                android:id="@+id/ExitRoom"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/Room"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/EnableSpeaker"
                android:text="退房" />

            <Button
                android:id="@+id/IsRoomEntered"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/Room"
                android:layout_marginTop="2dp"
                android:text="是否进房" />

            <Button
                android:id="@+id/GetMicLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/IsRoomEntered"
                android:layout_marginTop="2dp"
                android:text="麦克风音量" />

            <Button
                android:id="@+id/GetSpeakerLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/GetMicLevel"
                android:layout_marginTop="2dp"
                android:text="扬声器音量" />

            <Button
                android:id="@+id/GetRoomVoiceType"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/GetSpeakerLevel"
                android:layout_marginTop="2dp"
                android:text="获取音频类型" />


            <Button
                android:id="@+id/SetRoomVoiceType"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/GetSpeakerLevel"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/GetRoomVoiceType"
                android:text="设置音频类型" />

            <Button
                android:id="@+id/StopPlayFile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/StartRecording"
                android:text="停止播放语音" />

            <Button
                android:id="@+id/PauseRecording"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/StartRecording"
                android:layout_toRightOf="@+id/StopPlayFile"
                android:text="暂停录音" />

            <Button
                android:id="@+id/ResumeRecording"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/StartRecording"
                android:layout_toRightOf="@+id/PauseRecording"
                android:text="恢复录音" />

            <Button
                android:id="@+id/CancelRecording"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/StartRecording"
                android:layout_toRightOf="@+id/ResumeRecording"
                android:text="取消录音" />

            <Button
                android:id="@+id/SetGetMicVolume"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/StopPlayFile"
                android:layout_marginTop="2dp"
                android:text="录制音量" />

            <EditText
                android:id="@+id/SetGetMicVolumeAdd"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/StopPlayFile"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/SetGetMicVolume"
                android:ems="20"
                android:hint="麦0-100"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>

            <Button
                android:id="@+id/SetGetSpeakerVolume"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/SetGetMicVolume"
                android:layout_marginTop="2dp"
                android:text="播放音量" />

            <EditText
                android:id="@+id/SetGetSpeakerVolumeAdd"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/SetGetMicVolume"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/SetGetSpeakerVolume"
                android:ems="20"
                android:hint="麦0-100"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>

            <Button
                android:id="@+id/PTTGetMicLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/SetGetSpeakerVolume"
                android:layout_marginTop="2dp"
                android:text="麦克风实时音量" />

            <Button
                android:id="@+id/PTTGetSpeakerLevel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/SetGetSpeakerVolume"
                android:layout_toRightOf="@+id/PTTGetMicLevel"
                android:layout_marginTop="2dp"
                android:text="扬声器实时音量" />




            <EditText
                android:id="@+id/textView1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/PTTGetMicLevel"
                android:layout_marginTop="2dp"
                android:ems="20"
                android:hint="语音转文字"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>

            <EditText
                android:id="@+id/GetRoomId"
                android:layout_width="120dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/textView1"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/Room"
                android:ems="20"
                android:hint="房间号(数字)"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>


            <EditText
                android:id="@+id/VoiceType"
                android:layout_width="240dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/textView1"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/GetRoomId"
                android:ems="20"
                android:hint="音质1:流畅2:标准3:高清"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>

            <EditText
                android:id="@+id/GetMicLevelAdd"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/IsRoomEntered"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/GetMicLevel"
                android:ems="20"
                android:hint="麦0-200，默认100"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>

            <EditText
                android:id="@+id/GetSpeakerLevelAdd"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/GetMicLevel"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/GetSpeakerLevel"
                android:ems="20"
                android:hint="扬0-200，默认100"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">

            </EditText>

            <EditText
                android:id="@+id/RoomMember"
                android:layout_width="150dp"
                android:layout_height="240dp"
                android:layout_alignParentRight="true"
                android:ems="32"
                android:singleLine="false"
                android:textSize="12sp"
                android:hint="房间成员"
                >

            </EditText>

            <Button
                android:id="@+id/RangeTeamId"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/GetRoomVoiceType"
                android:layout_marginTop="30dp"
                android:text="范围语音设置小队ID" />

            <EditText
                android:id="@+id/RangeTeamIdText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/GetRoomVoiceType"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="30dp"
                android:layout_toRightOf="@+id/RangeTeamId"
                android:ems="20"
                android:hint="小队ID 数字 进房前调用"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">
            </EditText>

            <Button
                android:id="@+id/SetRangeAudioMode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/RangeTeamId"
                android:layout_marginTop="2dp"
                android:text="设置范围语音模式" />

            <EditText
                android:id="@+id/SetRangeAudioModeText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/RangeTeamId"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/SetRangeAudioMode"
                android:ems="20"
                android:hint="0:所有人 1：仅小队"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">
            </EditText>

            <Button
                android:id="@+id/UpdateAudioRecvRange"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/SetRangeAudioMode"
                android:layout_marginTop="2dp"
                android:text="设置范围语音距离" />

            <EditText
                android:id="@+id/UpdateAudioRecvRangeText"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/SetRangeAudioMode"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/UpdateAudioRecvRange"
                android:ems="20"
                android:hint="数字 例：200 进房后调用"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">
            </EditText>

            <Button
                android:id="@+id/UpdateAudioRecvRangeXYZ"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRange"
                android:layout_marginTop="2dp"
                android:text="设置玩家坐标" />
            <EditText
                android:id="@+id/UpdateAudioRecvRangeTextX"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRange"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/UpdateAudioRecvRangeXYZ"
                android:ems="20"
                android:hint="X"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">
            </EditText>
            <EditText
                android:id="@+id/UpdateAudioRecvRangeTextY"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRange"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/UpdateAudioRecvRangeTextX"
                android:ems="20"
                android:hint="Y"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">
            </EditText>
            <EditText
                android:id="@+id/UpdateAudioRecvRangeTextZ"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRange"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="2dp"
                android:layout_toRightOf="@+id/UpdateAudioRecvRangeTextY"
                android:ems="20"
                android:hint="Z"
                android:imeOptions="flagNoExtractUi"
                android:singleLine="true">
            </EditText>

            <Button
                android:id="@+id/EnableSpatializer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRangeXYZ"
                android:layout_marginTop="2dp"
                android:text="开启3D音效" />

            <Button
                android:id="@+id/ableSpatializer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRangeXYZ"
                android:layout_toRightOf="@+id/EnableSpatializer"
                android:layout_marginTop="2dp"
                android:layout_marginLeft="10dp"
                android:text="关闭3D音效" />

            <Button
                android:id="@+id/IsEnableSpatializer"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/UpdateAudioRecvRangeXYZ"
                android:layout_toRightOf="@+id/ableSpatializer"
                android:layout_marginTop="2dp"
                android:layout_marginLeft="10dp"
                android:text="3D音效状态" />




        </RelativeLayout>
    </LinearLayout>
</ScrollView>